# List

Launch stage: GA

`GET /api/2.0/secrets/acls/list`

Lists the ACLs set on the given scope.

 Users must have the ``MANAGE`` permission to invoke this API.

 Example response:

 .. code::

    {
        "acls": [{
            "principal": "admins",
            "permission": "MANAGE"
        },{
            "principal": "data-scientists",
            "permission": "READ"
        }]
    }

 Throws ``RESOURCE_DOES_NOT_EXIST`` if no such secret scope exists.
 Throws ``PERMISSION_DENIED`` if the user does not have permission to make this API call.

API scopes: secrets

## Query parameters

- `scope` (string, optional)
  The name of the scope to fetch ACL information from.

## Returns

Returns a list of AclItem objects.

## Response

```json
{
  "items": [
    {
      "principal": "string",
      "permission": "string"
    }
  ]
}
```

